from setuptools import find_packages, setup


def requirements():
    with open("requirements.txt") as fileobj:
        return [line.strip() for line in fileobj]


with open("README.md", encoding="utf-8") as fh:
    doc_long_description = fh.read()

setup(
    name="powdy",
    url="https://github.com/RiverSharks/powdy",
    author="RiverSharks",
    author_email="bailym.a@ukr.net",
    keywords="tuya switch proxy python klipper",
    long_description=doc_long_description,
    long_description_content_type="text/markdown",
    description="A simple proxy server for Klipper power switch, for tuya sockets",
    license="MIT",
    classifiers=[
        "Development Status :: 3 - Alpha",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
        "Topic :: Software Development",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.7",
        "Programming Language :: Python :: 3.8",
        "Programming Language :: Python :: 3.9",
        "Programming Language :: Python :: 3.10",
        "Programming Language :: Python :: Implementation :: PyPy",
    ],
    version="0.0.6",
    install_requires=requirements(),
    test_suite="runtests.runtests",
    entry_points={
        'console_scripts': [
            'powdy=main:main'
        ]
    },
    packages=find_packages(),
    python_requires=">=3.7",
)
